## org.emboss.jemboss.gui.filetree
Class FileSaving

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.filetree.FileSaving

public class FileSaving
extends java.lang.Object

Saves files

Field Summary
`private java.lang.String` `cwd`
`private java.lang.String` `fileSelected`
`private boolean` `lsaved`

Constructor Summary
`FileSaving(javax.swing.JTextPane seqText, byte[] pngContent, JembossParams mysettings)`

Method Summary
`java.lang.String` `getFileName()`
`java.lang.String` `getPath()`
`boolean` `writeOK()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lsaved

    private boolean lsaved

### fileSelected

    private java.lang.String fileSelected

### cwd

    private java.lang.String cwd

Constructor Detail

### FileSaving

    public FileSaving(javax.swing.JTextPane seqText,
                      byte[] pngContent,
                      JembossParams mysettings)

Method Detail

### writeOK

    public boolean writeOK()

### getFileName

    public java.lang.String getFileName()

### getPath

    public java.lang.String getPath()